From 59fe33ced401f48d417b3cf55c8d4d5050b8fad9 Mon Sep 17 00:00:00 2001
From: Dominic Monroe <dmc@juxt.pro>
Date: Wed, 5 Jun 2019 21:46:55 +0100
Subject: [PATCH 1/3] New package: libmodule-4.1.0

---
 common/shlibs              |  1 +
 srcpkgs/libmodule-devel    |  1 +
 srcpkgs/libmodule/template | 25 +++++++++++++++++++++++++
 3 files changed, 27 insertions(+)
 create mode 120000 srcpkgs/libmodule-devel
 create mode 100644 srcpkgs/libmodule/template

diff --git a/common/shlibs b/common/shlibs
index fe557cc4411..51b0df96bef 100644
--- a/common/shlibs
+++ b/common/shlibs
@@ -3466,3 +3466,4 @@ libFAudio.so.0 FAudio-19.05_1
 libqaccessibilityclient-qt5.so.0 libqaccessibilityclient-0.4.0_1
 libnitrokey.so.3 libnitrokey-3.4.1_1
 libceres.so.1 ceres-solver-1.14.0_1
+libmodule.so.4 libmodule-4.1.0_1
diff --git a/srcpkgs/libmodule-devel b/srcpkgs/libmodule-devel
new file mode 120000
index 00000000000..4150d13df41
--- /dev/null
+++ b/srcpkgs/libmodule-devel
@@ -0,0 +1 @@
+libmodule
\ No newline at end of file
diff --git a/srcpkgs/libmodule/template b/srcpkgs/libmodule/template
new file mode 100644
index 00000000000..e42f9d9e196
--- /dev/null
+++ b/srcpkgs/libmodule/template
@@ -0,0 +1,25 @@
+# Template file for 'libmodule'
+pkgname=libmodule
+version=4.1.0
+revision=1
+build_style=cmake
+short_desc="C simple and elegant implementation of an actor library"
+maintainer="Dominic Monroe <monroef4@googlemail.com>"
+license="MIT"
+homepage="https://github.com/FedeDP/libmodule"
+distfiles="https://github.com/FedeDP/libmodule/archive/${version}.tar.gz"
+checksum=14294e63e3ff26ddbf80ca359e3d78ea3a1207692fc137a8020ec1fbe0ec47bd
+
+post_install() {
+	vlicense LICENSE
+}
+
+libmodule-devel_package() {
+	depends="${sourcepkg}>=${version}_${revision}"
+	short_desc+=" - development files"
+	pkg_install() {
+		 vmove usr/include
+		 vmove usr/share/pkgconfig
+		 vmove "usr/lib/*.so"
+	}
+}

From e53183566f3271db82616978cf5f23b80d898035 Mon Sep 17 00:00:00 2001
From: Dominic Monroe <dmc@juxt.pro>
Date: Wed, 5 Jun 2019 21:49:01 +0100
Subject: [PATCH 2/3] New package: Clightd-3.4

---
 srcpkgs/Clightd/template | 19 +++++++++++++++++++
 1 file changed, 19 insertions(+)
 create mode 100644 srcpkgs/Clightd/template

diff --git a/srcpkgs/Clightd/template b/srcpkgs/Clightd/template
new file mode 100644
index 00000000000..277e4d2e931
--- /dev/null
+++ b/srcpkgs/Clightd/template
@@ -0,0 +1,19 @@
+# Template file for 'Clightd'
+pkgname=Clightd
+version=3.4
+revision=1
+build_style=cmake
+cmake_builddir=build
+configure_args="-DENABLE_DDC=1 -DENABLE_GAMMA=1 -DENABLE_DPMS=1"
+makedepends="pkg-config eudev-libudev-devel libmodule-devel polkit-devel elogind-devel libXrandr-devel libXext-devel libX11-devel ddcutil"
+depends="ddcutil"
+short_desc="API to read webcam brightness & alter screen brightness/temperature"
+maintainer="Dominic Monroe <monroef4@googlemail.com>"
+license="GPL-3.0-or-later"
+homepage="https://github.com/FedeDP/Clightd"
+distfiles="https://github.com/FedeDP/Clightd/archive/${version}.tar.gz"
+checksum=30c5176a5e05ca7a771b62f5ab3a36e95012ba637d0643ced8ecc4f4e4d17c47
+
+post_install() {
+	vinstall Scripts/i2c_clightd.conf 644 /usr/lib/modules-load.d/
+}

From 13b5782456996380c64075daafdc350f21cbe96b Mon Sep 17 00:00:00 2001
From: Dominic Monroe <dmc@juxt.pro>
Date: Wed, 5 Jun 2019 21:51:28 +0100
Subject: [PATCH 3/3] New package: Clight-3.1

---
 srcpkgs/Clight/patches/issue-70.patch | 35 +++++++++++++++++++++++++++
 srcpkgs/Clight/template               | 14 +++++++++++
 2 files changed, 49 insertions(+)
 create mode 100644 srcpkgs/Clight/patches/issue-70.patch
 create mode 100644 srcpkgs/Clight/template

diff --git a/srcpkgs/Clight/patches/issue-70.patch b/srcpkgs/Clight/patches/issue-70.patch
new file mode 100644
index 00000000000..a71e895de74
--- /dev/null
+++ b/srcpkgs/Clight/patches/issue-70.patch
@@ -0,0 +1,35 @@
+From 8491e18e940a71a74874885436691e2443b21844 Mon Sep 17 00:00:00 2001
+From: Federico Di Pierro <nierro92@gmail.com>
+Date: Mon, 18 Mar 2019 20:24:48 +0100
+Subject: [PATCH] Avoid flaot libsystemd/libelogind version. Fixes #70.
+
+---
+ CMakeLists.txt | 8 +++++++-
+ 1 file changed, 7 insertions(+), 1 deletion(-)
+
+diff --git a/CMakeLists.txt b/CMakeLists.txt
+index 9d6f173..f6e0c3d 100644
+--- CMakeLists.txt
++++ CMakeLists.txt
+@@ -34,6 +34,12 @@ set_property(TARGET ${PROJECT_NAME} PROPERTY C_STANDARD 99)
+ # Required dependencies
+ pkg_check_modules(REQ_LIBS REQUIRED popt gsl libconfig)
+ pkg_search_module(LOGIN_LIBS REQUIRED libelogind libsystemd>=221)
++
++# Avoid float versioning for libsystemd/libelogind
++string(REPLACE "." ";" LOGIN_LIBS_VERSION_LIST ${LOGIN_LIBS_VERSION})
++list(GET LOGIN_LIBS_VERSION_LIST 0 LOGIN_LIBS_VERSION_MAJOR)
++message(STATUS "Found lib${LOGIN_LIBS_LIBRARIES} version ${LOGIN_LIBS_VERSION_MAJOR}")
++
+ target_link_libraries(${PROJECT_NAME}
+                       m
+                       ${REQ_LIBS_LIBRARIES}
+@@ -44,7 +50,7 @@ target_include_directories(${PROJECT_NAME} PRIVATE
+                            "${LOGIN_LIBS_INCLUDE_DIRS}"
+ )
+ target_compile_definitions(${PROJECT_NAME} PRIVATE
+-    -DLIBSYSTEMD_VERSION=${LOGIN_LIBS_VERSION}
++    -DLIBSYSTEMD_VERSION=${LOGIN_LIBS_VERSION_MAJOR}
+ )
+ list(APPEND COMBINED_LDFLAGS ${REQ_LIBS_LDFLAGS})
+ list(APPEND COMBINED_LDFLAGS ${LOGIN_LIBS_LDFLAGS})
diff --git a/srcpkgs/Clight/template b/srcpkgs/Clight/template
new file mode 100644
index 00000000000..84d98307755
--- /dev/null
+++ b/srcpkgs/Clight/template
@@ -0,0 +1,14 @@
+# Template file for 'Clight'
+pkgname=Clight
+version=3.1
+revision=1
+build_style=cmake
+hostmakedepends="pkg-config"
+makedepends="popt-devel gsl-devel libconfig-devel elogind-devel bash-completion dbus-devel"
+depends="Clightd"
+short_desc="Use your webcam as a light sensor to adjust screen backlight"
+maintainer="Dominic Monroe <monroef4@googlemail.com>"
+license="GPL-3.0-or-later"
+homepage="https://github.com/FedeDP/Clight"
+distfiles="https://github.com/FedeDP/Clight/archive/${version}.tar.gz"
+checksum=842e639b86f898da225104878543b97d2626a3326e663f84333d075f9e718b89
